Date: Monday, March 12, 2018 @ 16:47:31
  Author: lcarlier
Revision: 318762

archrelease: copy trunk to extra-x86_64

Added:
  
vulkan-loader-layers/repos/extra-x86_64/0001-loader-Remove-executable-stack-from-libvulkan.so.patch
    (from rev 318761, 
vulkan-loader-layers/trunk/0001-loader-Remove-executable-stack-from-libvulkan.so.patch)
  vulkan-loader-layers/repos/extra-x86_64/PKGBUILD
    (from rev 318761, vulkan-loader-layers/trunk/PKGBUILD)
Deleted:
  
vulkan-loader-layers/repos/extra-x86_64/0001-loader-Remove-executable-stack-from-libvulkan.so.patch
  vulkan-loader-layers/repos/extra-x86_64/PKGBUILD

-------------------------------------------------------------+
 0001-loader-Remove-executable-stack-from-libvulkan.so.patch |   56 +--
 PKGBUILD                                                    |  162 +++++-----
 2 files changed, 109 insertions(+), 109 deletions(-)

Deleted: 0001-loader-Remove-executable-stack-from-libvulkan.so.patch
===================================================================
--- 0001-loader-Remove-executable-stack-from-libvulkan.so.patch 2018-03-12 
16:47:25 UTC (rev 318761)
+++ 0001-loader-Remove-executable-stack-from-libvulkan.so.patch 2018-03-12 
16:47:31 UTC (rev 318762)
@@ -1,28 +0,0 @@
-From 3152f2a5056077d3e1061ac61e3ef7888ff96dc7 Mon Sep 17 00:00:00 2001
-From: Lenny Komow <le...@lunarg.com>
-Date: Thu, 20 Jul 2017 16:07:14 -0600
-Subject: [PATCH] loader: Remove executable stack from libvulkan.so
-
-Change-Id: Id77d5560479cbbc6f5453a6362c5a20dd721fdd0
----
- loader/unknown_ext_chain_gas.asm | 4 ++++
- 1 file changed, 4 insertions(+)
-
-diff --git a/loader/unknown_ext_chain_gas.asm 
b/loader/unknown_ext_chain_gas.asm
-index e463f45b..798760bd 100644
---- a/loader/unknown_ext_chain_gas.asm
-+++ b/loader/unknown_ext_chain_gas.asm
-@@ -108,6 +108,10 @@ vkdev_ext\num:
- 
- .endif
- 
-+#if defined(__ELF__)
-+.section .note.GNU-stack,"",%progbits
-+#endif
-+
- .data
- 
- termin_error_string:
--- 
-2.13.2
-

Copied: 
vulkan-loader-layers/repos/extra-x86_64/0001-loader-Remove-executable-stack-from-libvulkan.so.patch
 (from rev 318761, 
vulkan-loader-layers/trunk/0001-loader-Remove-executable-stack-from-libvulkan.so.patch)
===================================================================
--- 0001-loader-Remove-executable-stack-from-libvulkan.so.patch                 
        (rev 0)
+++ 0001-loader-Remove-executable-stack-from-libvulkan.so.patch 2018-03-12 
16:47:31 UTC (rev 318762)
@@ -0,0 +1,28 @@
+From 3152f2a5056077d3e1061ac61e3ef7888ff96dc7 Mon Sep 17 00:00:00 2001
+From: Lenny Komow <le...@lunarg.com>
+Date: Thu, 20 Jul 2017 16:07:14 -0600
+Subject: [PATCH] loader: Remove executable stack from libvulkan.so
+
+Change-Id: Id77d5560479cbbc6f5453a6362c5a20dd721fdd0
+---
+ loader/unknown_ext_chain_gas.asm | 4 ++++
+ 1 file changed, 4 insertions(+)
+
+diff --git a/loader/unknown_ext_chain_gas.asm 
b/loader/unknown_ext_chain_gas.asm
+index e463f45b..798760bd 100644
+--- a/loader/unknown_ext_chain_gas.asm
++++ b/loader/unknown_ext_chain_gas.asm
+@@ -108,6 +108,10 @@ vkdev_ext\num:
+ 
+ .endif
+ 
++#if defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
++
+ .data
+ 
+ termin_error_string:
+-- 
+2.13.2
+

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-03-12 16:47:25 UTC (rev 318761)
+++ PKGBUILD    2018-03-12 16:47:31 UTC (rev 318762)
@@ -1,81 +0,0 @@
-# $Id$
-# Maintainer: Laurent Carlier <lordhea...@gmail.com>
-
-pkgbase=vulkan-loader-layers
-pkgname=(vulkan-icd-loader vulkan-validation-layers)
-_pkgname=Vulkan-LoaderAndValidationLayers
-pkgver=1.1.70.0
-pkgrel=2
-arch=(x86_64)
-url="https://www.khronos.org/vulkan/";
-license=('custom')
-depends=()
-makedepends=(git cmake python-lxml libx11 libxrandr wayland)
-source=("https://github.com/KhronosGroup/${_pkgname}/archive/sdk-${pkgver}.tar.gz";)
-sha256sums=('bd30ffe25a0723775ea8427d65e96bbad6f5130674ac6577ec639b54ce811397')
-
-build() {
-  cd "${srcdir}/${_pkgname}-sdk-${pkgver}"
-
-  ./update_external_sources.sh
-
-  rm -rf build ; mkdir build ; cd build
-  cmake -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_INSTALL_LIBDIR=lib \
-    -DCMAKE_INSTALL_SYSCONFDIR=/etc \
-    -DCMAKE_INSTALL_DATADIR=/share \
-    -DCMAKE_SKIP_RPATH=True \
-    -DBUILD_TESTS=Off \
-    -DBUILD_WSI_XCB_SUPPORT=On \
-    -DBUILD_WSI_XLIB_SUPPORT=On \
-    -DBUILD_WSI_WAYLAND_SUPPORT=On \
-    -DBUILD_WSI_MIR_SUPPORT=Off \
-    -DCMAKE_BUILD_TYPE=Release \
-    ..
-  make
-}
-
-package_vulkan-icd-loader() {
-  pkgdesc="Vulkan Installable Client Driver (ICD) Loader"
-  depends=(glibc)
-  optdepends=('vulkan-driver: packaged vulkan driver') # vulkan-driver: 
vulkan-intel/vulkan-radeon/nvidia-utils/....
-  cd "${srcdir}/${_pkgname}-sdk-${pkgver}/build"
-  
-  make DESTDIR="${pkgdir}" install
-  
-  rm -r ${pkgdir}/etc
-  rm -r ${pkgdir}/usr/bin
-  rm ${pkgdir}/usr/include/vulkan/*{.h,.hpp}
-  rm ${pkgdir}/usr/lib/libVkLayer*.so
-
-  install -m644 ../include/vulkan/vk_icd.h ${pkgdir}/usr/include/vulkan/
-   
-  install -dm755 ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 ../LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/
-}
-
-package_vulkan-validation-layers() {
-  pkgdesc="Vulkan Software Development Kit"
-  depends=(gcc-libs vulkan-icd-loader vulkan-headers libx11)
-  conflicts=('vulkan-sdk')
-  replaces=('vulkan-sdk')
-  groups=('vulkan-devel')
-  cd "${srcdir}/${_pkgname}-sdk-${pkgver}/build"
-  
-  make DESTDIR="${pkgdir}" install
-
-  install -dm755 ${pkgdir}/usr/
-  mv -v ${pkgdir}/etc ${pkgdir}/usr/share/
-  
-  # already in vulkan-headers
-  rm ${pkgdir}/usr/include/vulkan/{vulkan,vk_platform,vulkan_core}.h
-  rm ${pkgdir}/usr/include/vulkan/vulkan.hpp
-  # already in vulkan-icd-loader
-  rm ${pkgdir}/usr/include/vulkan/vk_icd.h
-  rm ${pkgdir}/usr/lib/libvulkan.so*
-  rm -r ${pkgdir}/usr/lib/pkgconfig
-   
-  install -dm755 ${pkgdir}/usr/share/{doc,licenses}/${pkgname}
-  install -m644 ../loader/LoaderAndLayerInterface.md 
"${pkgdir}"/usr/share/doc/${pkgname}/
-  install -m644 ../LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: vulkan-loader-layers/repos/extra-x86_64/PKGBUILD (from rev 318761, 
vulkan-loader-layers/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-03-12 16:47:31 UTC (rev 318762)
@@ -0,0 +1,81 @@
+# $Id$
+# Maintainer: Laurent Carlier <lordhea...@gmail.com>
+
+pkgbase=vulkan-loader-layers
+pkgname=(vulkan-icd-loader vulkan-validation-layers)
+_pkgname=Vulkan-LoaderAndValidationLayers
+pkgver=1.1.70.0
+pkgrel=3
+arch=(x86_64)
+url="https://www.khronos.org/vulkan/";
+license=('custom')
+depends=()
+makedepends=(git cmake python-lxml libx11 libxrandr wayland)
+source=("https://github.com/KhronosGroup/${_pkgname}/archive/sdk-${pkgver}.tar.gz";)
+sha256sums=('bd30ffe25a0723775ea8427d65e96bbad6f5130674ac6577ec639b54ce811397')
+
+build() {
+  cd "${srcdir}/${_pkgname}-sdk-${pkgver}"
+
+  ./update_external_sources.sh
+
+  rm -rf build ; mkdir build ; cd build
+  cmake -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib \
+    -DCMAKE_INSTALL_SYSCONFDIR=/etc \
+    -DCMAKE_INSTALL_DATADIR=/share \
+    -DCMAKE_SKIP_RPATH=True \
+    -DBUILD_TESTS=Off \
+    -DBUILD_WSI_XCB_SUPPORT=On \
+    -DBUILD_WSI_XLIB_SUPPORT=On \
+    -DBUILD_WSI_WAYLAND_SUPPORT=On \
+    -DBUILD_WSI_MIR_SUPPORT=Off \
+    -DCMAKE_BUILD_TYPE=Release \
+    ..
+  make
+}
+
+package_vulkan-icd-loader() {
+  pkgdesc="Vulkan Installable Client Driver (ICD) Loader"
+  depends=(glibc)
+  optdepends=('vulkan-driver: packaged vulkan driver') # vulkan-driver: 
vulkan-intel/vulkan-radeon/nvidia-utils/....
+  cd "${srcdir}/${_pkgname}-sdk-${pkgver}/build"
+  
+  make DESTDIR="${pkgdir}" install
+  
+  rm -r ${pkgdir}/etc
+  rm -r ${pkgdir}/usr/bin
+  rm ${pkgdir}/usr/include/vulkan/*{.h,.hpp}
+  rm ${pkgdir}/usr/lib/libVkLayer*.so
+
+  install -m644 ../include/vulkan/vk_icd.h ${pkgdir}/usr/include/vulkan/
+   
+  install -dm755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 ../LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/
+}
+
+package_vulkan-validation-layers() {
+  pkgdesc="Vulkan Software Development Kit"
+  depends=(gcc-libs vulkan-icd-loader vulkan-headers libx11)
+  conflicts=('vulkan-sdk')
+  replaces=('vulkan-sdk')
+  groups=('vulkan-devel')
+  cd "${srcdir}/${_pkgname}-sdk-${pkgver}/build"
+  
+  make DESTDIR="${pkgdir}" install
+
+  install -dm755 ${pkgdir}/usr/
+  mv -v ${pkgdir}/etc ${pkgdir}/usr/share/
+  
+  # already in vulkan-headers
+  rm ${pkgdir}/usr/include/vulkan/vulkan*.h*
+  rm ${pkgdir}/usr/include/vulkan/vk_platform.h
+  # already in vulkan-icd-loader
+  rm ${pkgdir}/usr/include/vulkan/vk_icd.h
+  rm ${pkgdir}/usr/lib/libvulkan.so*
+  rm -r ${pkgdir}/usr/lib/pkgconfig
+   
+  install -dm755 ${pkgdir}/usr/share/{doc,licenses}/${pkgname}
+  install -m644 ../loader/LoaderAndLayerInterface.md 
"${pkgdir}"/usr/share/doc/${pkgname}/
+  install -m644 ../LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Reply via email to